## jack-keyboard 2.6

=== CMakeLists.txt ===
#
# Copyright (c) 2011 Hans Petter Selasky. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#
# Makefile for Jack Keyboard
#
cmake_minimum_required(VERSION 2.8)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/")
set(VERSION "2.6")

set(JackEnable ON CACHE BOOL "Enable support for Jack")
set(LashEnable ON CACHE BOOL "Enable support for Lash")
set(X11Enable ON CACHE BOOL "Enable support for X11")

project(jack-keyboard)

add_executable(jack-keyboard src/jack-keyboard src/pianokeyboard)

find_package(GTK2 2.2 REQUIRED gtk)
include_directories(${GTK2_INCLUDE_DIRS})
target_link_libraries(jack-keyboard ${GTK2_LIBRARIES})

if(JackEnable)
find_package(JACK)
include_directories(${JACK_INCLUDE_DIR})
target_link_libraries(jack-keyboard ${JACK_LIBRARIES})
add_definitions(-DHAVE_JACK=1)
endif()

if(LashEnable)
find_package(LASH)
include_directories(${LASH_INCLUDE_DIR})
target_link_libraries(jack-keyboard ${LASH_LIBRARIES})
add_definitions(-DHAVE_LASH=1)
endif()

if(X11Enable)
find_package(X11)
include_directories(${X11_INCLUDE_DIR})
target_link_libraries(jack-keyboard ${X11_LIBRARIES})
add_definitions(-DHAVE_X11=1)
endif()

install(TARGETS jack-keyboard RUNTIME DESTINATION bin)
install(FILES pixmaps/jack-keyboard.png DESTINATION share/pixmaps)
install(FILES src/jack-keyboard.desktop DESTINATION share/applications)
install(FILES man/jack-keyboard.1 DESTINATION man/man1)

=== Makefile ===
VERSION?=2.6

help:
	@echo "Targets: configure all clean install package"

configure:

	rm -rf build

	mkdir build

	cd build ; cmake ..

all:
	make -C build all

install:
	make -C build install

clean:
	make -C build clean

package:
	make -C build clean || echo -n

	tar -cvf temp.tar --exclude="*~" --exclude="*#" \
		--exclude=".svn" --exclude="*.orig" --exclude="*.rej" \
		AUTHORS \
		CMakeLists.txt \
		COPYING \
		Makefile \
		NEWS \
		README \
		TODO \
		cmake \
		man \
		pixmaps \
		src

	rm -rf jack-keyboard-${VERSION}

	mkdir jack-keyboard-${VERSION}

	tar -xvf temp.tar -C jack-keyboard-${VERSION}

	rm -rf temp.tar

	tar -zcvf jack-keyboard-${VERSION}.tar.gz jack-keyboard-${VERSION}

## jack-keyboard 2.5

=== debian/changelog ===
jack-keyboard (2.5-2) unstable; urgency=low

  [ Rosea Grammostola ]
  * Add a2jmidid to Recommends.

  [ Alessio Treglia ]
  * Add lashd to the Suggests field.
  * Take patches from upstream's trunk to achieve the following:
    - 0001-dvorak_layout.patch:
      + Add Dvorak layout support.
    - 0002-document_dvorak_support.patch:
      + Update manual page with information about Dvorak layout.
    - 0003-midi_programs.patch:
      + Set MIDI programs number to 127 as per MIDI spec.
    - 0004-desktop_file.patch:
      + Fix desktop file as per spec.
  * debian/patches/1001-manpage_errors.patch:
    - Escape hyphen character to be used as minus sign.
  * debian/control.in:
    - Remove trailing whitespace.
    - Remove debhelper from Build-Depends field, it is properly
      adjusted by regenerating debian/control.
  * Regenerate debian/control.
  * debian/README.source:
    - Document how to re-generate debian/control file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Jan 2011 13:38:34 +0100

jack-keyboard (2.5-1) unstable; urgency=low

  * Initial release (Closes: #594487)  

 -- Rosea Grammostola <rosea.grammostola@gmail.com>  Thu, 26 Aug 2010 13:43:45 +0200

=== debian/control ===
Source: jack-keyboard
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Rosea Grammostola <rosea.grammostola@gmail.com>
Build-Depends: debhelper (>= 7.0.1),
 dh-buildinfo,
 cdbs (>= 0.4.69~),
 devscripts (>= 2.10.7~),
 autotools-dev,
 libjack-dev,
 liblash-dev,
 libgtk2.0-dev
Standards-Version: 3.9.1
Homepage: http://jack-keyboard.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jack-keyboard.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-keyboard.git

Package: jack-keyboard
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 jackd
Recommends: qjackctl,
 a2jmidid
Suggests: ghostess,
 lashd,
 whysynth
Description: Virtual MIDI keyboard for JACK MIDI
 Virtual MIDI keyboard - a program that allows you to send JACK MIDI 
 events (play ;-) using your PC keyboard. It's somewhat similar to 
 vkeybd, except it uses JACK MIDI instead of ALSA, and the default 
 keyboard mapping is much better - it uses the same layout as 
 trackers (like Impulse Tracker) did, so you have two and half 
 octaves under your fingers.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed
DEB_INSTALL_CHANGELOGS_ALL = NEWS

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

=== debian/watch ===
version=3
http://sf.net/jack-keyboard/jack-keyboard-(.+)\.tar\.gz \
 debian  uupdate

## jack-keyboard 2.6

=== debian/changelog ===
jack-keyboard (2.6-1) unstable; urgency=low

  * New upstream release.
  * Switch buildsystem to cmake.
  * Don't show an error dialog when LASH is not available, just print
    a warning to stderr.
  * Remove patches applied upstream.
  * Add -lgthread-2.0 to linking flags.
  * Install manpages into /usr/share/man.

 -- Alessio Treglia <alessio@debian.org>  Sat, 09 Jul 2011 13:07:35 +0200

jack-keyboard (2.5-3) unstable; urgency=low

  * Add patch to fix pianola mode (Closes: #625282).
    Thanks to Dan Muresan for the report and patch!
  * Rewrite debian/copyright as per DEP-5 proposal.
  * Drop lash support.
  * Demote qjackctl to Suggests.
  * Bump Standards.
  * Regenerate debian/control file.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 May 2011 12:37:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>,
  Rosea Grammostola <rosea.grammostola@gmail.com>
-Build-Depends: debhelper (>= 7.0.1),
+Build-Depends: cdbs (>= 0.4.85~),
+ debhelper (>= 7.0.1),
  dh-buildinfo,
- cdbs (>= 0.4.69~),
  devscripts (>= 2.10.7~),
- autotools-dev,
+ cmake,
  libjack-dev,
- liblash-dev,
  libgtk2.0-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://jack-keyboard.sourceforge.net
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/jack-keyboard.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-keyboard.git
@@ -22,10 +21,9 @@
 Depends: ${shlibs:Depends}, 
  ${misc:Depends},
  jackd
-Recommends: qjackctl,
- a2jmidid
+Recommends: a2jmidid
 Suggests: ghostess,
- lashd,
+ qjackctl,
  whysynth
 Description: Virtual MIDI keyboard for JACK MIDI
  Virtual MIDI keyboard - a program that allows you to send JACK MIDI

## jack-keyboard 2.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 cmake_minimum_required(VERSION 2.8)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/")
-set(VERSION "2.6")
+set(VERSION "2.7.1")
 
 set(JackEnable ON CACHE BOOL "Enable support for Jack")
 set(LashEnable ON CACHE BOOL "Enable support for Lash")

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION?=2.6
+VERSION?=2.7.1
 
 help:
 	@echo "Targets: configure all clean install package"

=== debian/changelog ===
jack-keyboard (2.7.1-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:45:19 +0000

jack-keyboard (2.7.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Refresh patches.
  * Re-generate debian/control.
  * Small improvement to package's description.
  * Update debian/copyright.
  * debian/watch:
    - No need to use uupdate when downloading new tarballs as we use git.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 May 2012 11:25:37 +0200

jack-keyboard (2.6-2) unstable; urgency=medium

  * Fix "format not a string literal and no format arguments"
    errors. (Closes: #643412)

 -- Alessio Treglia <alessio@debian.org>  Wed, 05 Oct 2011 21:15:57 +0200

=== debian/control ===
Source: jack-keyboard
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Rosea Grammostola <rosea.grammostola@gmail.com>
Build-Depends:
 debhelper,
 dh-buildinfo,
 cdbs (>= 0.4.69~),
 devscripts,
 cmake,
 libgtk2.0-dev,
 libjack-dev
Standards-Version: 3.9.3
Homepage: http://jack-keyboard.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jack-keyboard.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-keyboard.git

Package: jack-keyboard
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 a2jmidid
Suggests:
 ghostess,
 qjackctl,
 whysynth
Description: Virtual MIDI keyboard for JACK MIDI
 JACK keyboard is a program that allows you to send JACK MIDI
 events (play ;-) using your PC keyboard. It's somewhat similar to
 vkeybd, except it uses JACK MIDI instead of ALSA, and the default
 keyboard mapping is much better - it uses the same layout as
 trackers (like Impulse Tracker) did, so you have two and half
 octaves under your fingers.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed
DEB_INSTALL_CHANGELOGS_ALL = NEWS

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CMAKE_EXTRA_FLAGS += -DLashEnable=NO

## jack-keyboard 2.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 cmake_minimum_required(VERSION 2.8)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/")
-set(VERSION "2.7.1")
+set(VERSION "2.7.2")
 
 set(JackEnable ON CACHE BOOL "Enable support for Jack")
 set(LashEnable ON CACHE BOOL "Enable support for Lash")
@@ -63,6 +63,8 @@
 add_definitions(-DHAVE_X11=1)
 endif()
 
+target_link_libraries(jack-keyboard -lm)
+
 install(TARGETS jack-keyboard RUNTIME DESTINATION bin)
 install(FILES pixmaps/jack-keyboard.png DESTINATION share/pixmaps)
 install(FILES src/jack-keyboard.desktop DESTINATION share/applications)

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION?=2.7.1
+VERSION?=2.7.2
 
 help:
 	@echo "Targets: configure all clean install package"
@@ -30,9 +30,10 @@
 		COPYING \
 		Makefile \
 		NEWS \
-		README \
+		README.md \
 		TODO \
 		cmake \
+		jack_keyboard.png \
 		man \
 		pixmaps \
 		src
@@ -45,4 +46,4 @@
 
 	rm -rf temp.tar
 
-	tar -zcvf jack-keyboard-${VERSION}.tar.gz jack-keyboard-${VERSION}
+	tar --gid 0 --uid 0 -zcvf jack-keyboard-${VERSION}.tar.gz jack-keyboard-${VERSION}

=== debian/changelog ===
jack-keyboard (2.7.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113058)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 19:52:38 +0300

jack-keyboard (2.7.2-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * d/control: change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/control: set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Olivier Humbert ]
  * Update copyright (http -> https)

  [ Dennis Braun ]
  * New upstream release
  * Use debhelper-compat instead of debian/compat
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.5.0
    + Use https protocol for all urls
    + Add me as uploader
    + Set RRR: no
  * d/copyright: Add me to the d/ section
  * d/docs: Don't install README twice, add AUTHORS and NEWS
  * d/patches: Update patchset
  * d/source/local-options: Remove, obsolete

  [ Sebastian Ramacher ]
  * debian/copyright: Remove unused paragraphs
  * debian/control: Remove devscripts from B-D

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Feb 2020 10:56:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: jack-keyboard
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
  Rosea Grammostola <rosea.grammostola@gmail.com>
 Build-Depends:
- debhelper,
- dh-buildinfo,
- cdbs (>= 0.4.69~),
- devscripts,
+ debhelper-compat (= 12),
  cmake,
  libgtk2.0-dev,
  libjack-dev
-Standards-Version: 3.9.3
+Standards-Version: 4.5.0
 Homepage: http://jack-keyboard.sourceforge.net
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/jack-keyboard.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-keyboard.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/jack-keyboard.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/jack-keyboard
+Rules-Requires-Root: no
 
 Package: jack-keyboard
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -- -DLashEnable=NO

override_dh_installchangelogs:
	dh_installchangelogs README.md

=== debian/watch ===
version=3
https://sf.net/jack-keyboard/jack-keyboard-(.+)\.tar\.gz
